de.esprit.netsuite.server.chreq

## Class ConnectionThreadPool

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - de.esprit.netsuite.common.AbstractThreadPool
      - - de.esprit.netsuite.server.cpu.ServerThreadPool
        - - de.esprit.netsuite.server.chreq.ConnectionThreadPool

- All Implemented Interfaces:
    Dumpable, ServerObject, java.util.concurrent.Executor, java.util.concurrent.ExecutorService

      public class ConnectionThreadPool
      extends ServerThreadPool

  This thread-pool provides the threads that manage socket connections. It is not limited in size and thus allows as many threads as clients are going to connect. The threads are automatically removed if they stay idle longer than the configured keepAliveTime.
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionThreadPool(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.concurrent.ThreadFactory` | `createThreadFactory()`

    - ### Methods inherited from class de.esprit.netsuite.server.cpu.ServerThreadPool

      `getServerContext, getServerStatistic, sendErrorMail`

    - ### Methods inherited from class de.esprit.netsuite.common.AbstractThreadPool

      `afterExecute, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionThreadPool

          public ConnectionThreadPool(ServerContext serverCtx)

  - ### Method Detail

    - #### createThreadFactory

          protected java.util.concurrent.ThreadFactory createThreadFactory()

      Specified by:
        `createThreadFactory` in class `AbstractThreadPool`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.